WDC(4)

NAME
wdc - WD100x compatible hard disk controller driver

SYNOPSIS
# alpha/i386
wdc0 at isa? port 0x1f0 irq 14 flags 0x00
wdc1 at isa? port 0x170 irq 15 flags 0x00
wdc* at isapnp?

# macppc
wdc* at macobio?
wdc* at kauaiata?

# landisk
wdc0 at obio? port 0x14000000 irq 10

# all architectures
wdc* at pcmcia?

atapiscsi* at wdc?* flags 0x0000
wd* at wdc? flags 0x0000

DESCRIPTION
The wdc driver provides the basic functions for the wd(4) and atapiscsi(4) drivers. It supports IDE and EIDE controllers, as well as MFM, RLL, and ESDI on the ISA bus. PCI IDE controllers in legacy mode are also supported, but the pciide(4) driver may provide more functionality.

For the isa(4) front-end, setting flags to 0x01 enables 32-bit I/O negotiation. This is known to cause problems with some motherboards.

SEE ALSO
atapiscsi(4), intro(4), isa(4), isapnp(4), macobio(4), obio(4), pciide(4), pcmcia(4), scsi(4), wd(4)